## kate 25.04.3

=== CMakeLists.txt ===
# 3.16 is required for the ECM version we require
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "04")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kate VERSION ${RELEASE_SERVICE_VERSION})

# KF6 only
set(QT_MIN_VERSION "6.5.0")
set(KF6_DEP_VERSION "6.0.0")
set(QT_MAJOR_VERSION "6")

# use C++20 like KF6 itself
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

# We need some parts of the ECM CMake helpers.
find_package(ECM ${KF6_DEP_VERSION} QUIET REQUIRED NO_MODULE)

# We append to the module path so modules can be overridden from the command line.
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMOptionalAddSubdirectory)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMDeprecationSettings)

include(FeatureSummary)
include(FindIntl)

# Required here so that the version comparison below works
find_package(Qt6Widgets ${QT_MIN_VERSION} CONFIG REQUIRED)
find_package(Qt6Concurrent ${QT_MIN_VERSION} CONFIG REQUIRED)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
   find_package(Qt6GuiPrivate ${QT_MIN_VERSION} REQUIRED NO_MODULE)
endif()

# Required here so that the ki18n_install/kdoctools_install calls work.
find_package(KF6 ${KF6_DEP_VERSION}
    REQUIRED COMPONENTS
        I18n
        CoreAddons
        GuiAddons
        Crash
        IconThemes
        TextEditor
    OPTIONAL_COMPONENTS
        DocTools
)

if (NOT WIN32 AND NOT HAIKU)
    find_package(Intl)
    set_package_properties(Intl PROPERTIES TYPE REQUIRED
        URL "http://gnuwin32.sourceforge.net/packages/libintl.htm"
        PURPOSE "Needed for building kate unless glibc is the system libc implementation"
    )
endif()

# define which offscreen platform plugin to use for tests
# windows has issues with offscreen tests in the CI
set(OFFSCREEN_QPA)
if(NOT WIN32)
    set(OFFSCREEN_QPA "-platform" "offscreen")
endif()

# deprecation options
ecm_set_disabled_deprecation_versions(
    QT 6.8
    KF 6.12.0
)

option(ENABLE_PCH "Enable PCH support" ON)
if (ENABLE_PCH)
    add_subdirectory(pch)
endif()

# addons for Kate
ecm_optional_add_subdirectory(addons)

# the Kate & KWrite applications
ecm_optional_add_subdirectory(apps)

# our documentation
ecm_optional_add_subdirectory(doc)

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

feature_summary(INCLUDE_QUIET_PACKAGES WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== addons/CMakeLists.txt ===
function (kate_add_plugin name)
kcoreaddons_add_plugin(${name} INSTALL_NAMESPACE "kf6/ktexteditor")
endfunction()

ecm_optional_add_subdirectory(backtracebrowser)
ecm_optional_add_subdirectory(close-except-like) # Close all documents except this one (or similar).
ecm_optional_add_subdirectory(colorpicker) # Inline color preview/picker
ecm_optional_add_subdirectory(compiler-explorer)
ecm_optional_add_subdirectory(externaltools)
ecm_optional_add_subdirectory(filebrowser)
ecm_optional_add_subdirectory(filetree)
ecm_optional_add_subdirectory(gdbplugin)
ecm_optional_add_subdirectory(git-blame) # Inline git-blame viewer
ecm_optional_add_subdirectory(kate-ctags)
ecm_optional_add_subdirectory(katebuild-plugin)
ecm_optional_add_subdirectory(katesql)
ecm_optional_add_subdirectory(konsole)
ecm_optional_add_subdirectory(latexunicodecompletion)
ecm_optional_add_subdirectory(lspclient) # Language Server Protocol (LSP) client plugin.
ecm_optional_add_subdirectory(preview) # Live preview of sources in target format.
ecm_optional_add_subdirectory(project) # Small & smart project manager.
ecm_optional_add_subdirectory(rainbow-parens) # Colored brackets for readability
ecm_optional_add_subdirectory(replicode)
ecm_optional_add_subdirectory(search)
ecm_optional_add_subdirectory(snippets)
ecm_optional_add_subdirectory(symbolviewer) # List symbols and functions in a file.
ecm_optional_add_subdirectory(tabswitcher) # ALT+Tab like tab switcher.
ecm_optional_add_subdirectory(template) # Create files from templates.
ecm_optional_add_subdirectory(textfilter) # Pipe text through some external command.
ecm_optional_add_subdirectory(xmlcheck) # XML Validation plugin
ecm_optional_add_subdirectory(xmltools) # XML completion
ecm_optional_add_subdirectory(cmake-tools)
ecm_optional_add_subdirectory(keyboardmacros)
ecm_optional_add_subdirectory(format)
ecm_optional_add_subdirectory(eslint)
ecm_optional_add_subdirectory(openlink)
ecm_optional_add_subdirectory(rbql)

=== addons/filebrowser/CMakeLists.txt ===
kate_add_plugin(katefilebrowserplugin)
target_compile_definitions(katefilebrowserplugin PRIVATE TRANSLATION_DOMAIN="katefilebrowserplugin")

target_link_libraries(
  katefilebrowserplugin 
  PRIVATE
    kateprivate
    KF6::I18n
    KF6::TextEditor 
    KF6::KIOFileWidgets
    KF6::Bookmarks
    KF6::BookmarksWidgets
)

target_sources(
  katefilebrowserplugin
  PRIVATE
    katefilebrowserplugin.cpp
    katefilebrowserconfig.cpp
    katefilebrowser.cpp
    katebookmarkhandler.cpp
    katefilebrowseropenwithmenu.cpp
)

if (ENABLE_PCH)
    target_precompile_headers(katefilebrowserplugin REUSE_FROM katepch)
endif()

=== addons/konsole/CMakeLists.txt ===
kate_add_plugin(katekonsoleplugin)
target_compile_definitions(katekonsoleplugin PRIVATE TRANSLATION_DOMAIN="katekonsoleplugin")
target_link_libraries(katekonsoleplugin PRIVATE KF6::I18n KF6::TextEditor)

target_sources(
  katekonsoleplugin 
  PRIVATE
    kateconsole.cpp 
    plugin.qrc
)

if (ENABLE_PCH)
    target_precompile_headers(katekonsoleplugin REUSE_FROM katepch)
endif()

=== debian/changelog ===
kate (4:25.04.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Fix data loss when closing kate if the option to save and restore
    unsaved files is enabled. [9767f9d1, a843f106, 9502ae17, 5ec8803d,
    6b29a7e6] (kde#505135)
    - Fix symbol highlight not working when using the LSP client. [ca61073b,
    2650a5e6, 79765d29] (kde#503414)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 18 Jul 2025 15:10:03 +0200

kate (4:25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Open read-write for _commit, don't use WriteOnly, that will truncate.
    - Build: Fix creating a new set of targets. (kde#505346) (Closes:
    #1108892)
    - Fix saving & restoring last active build target index. (kde#505241)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Jul 2025 09:02:49 +0200

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6userfeedback-dev (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-base-private-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://kate-editor.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kate
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kate.git

Package: kate
Section: editors
Architecture: any
Depends: kate-data (>= ${source:Version}),
         libkf6texteditor-katepart,
         plasma-desktoptheme,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sonnet6-plugins,
Suggests: darcs,
          exuberant-ctags,
          git,
          khelpcenter (>=24.05~),
          konsole-kpart (>=24.05~),
          mercurial,
          subversion,
Description: powerful text editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation

Package: kate-data
Architecture: all
Depends: ${misc:Depends},
Breaks: kate5-data,
Replaces: kate5-data,
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor

Package: kwrite
Section: editors
Architecture: any
Depends: libkf6texteditor-katepart, ${misc:Depends}, ${shlibs:Depends},
Description: simple text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.

## kate 25.07.80

=== debian/changelog ===
kate (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:05:10 +0100

kate (4:25.04.3-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Jul 2025 09:05:30 +0100

kate (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:38:53 +0100

kate (4:25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Jun 2025 11:26:31 +0100

kate (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:40:30 +0100

kate (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:03:03 +0100

kate (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Drop included debputy_support.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:44:38 +0100

## kate 25.07.90

=== debian/changelog ===
kate (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:32:04 +0100

## kate 25.08.0

=== addons/format/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

add_executable(test_formatapply "")
target_include_directories(test_formatapply PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/..)

find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)
target_link_libraries(
  test_formatapply
  PRIVATE
    kateprivate
    KF6::TextEditor
    Qt::Test
)

target_sources(
  test_formatapply
  PRIVATE
    test_formatapply.cpp
)

if(ENABLE_PCH)
    target_precompile_headers(test_formatapply REUSE_FROM katepch_tests)
endif()

add_test(NAME kateapp-test_formatapply COMMAND test_formatapply ${OFFSCREEN_QPA})
ecm_mark_as_test(test_formatapply)

=== debian/changelog ===
kate (4:25.08.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 18:14:39 +0000

kate (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:13:48 +0000

kate (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:56:30 +0000

kate (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:02:57 +0000

kate (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:53:06 +0000

kate (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:42:43 +0000

kate (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:11:49 +0000

kate (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:09:59 +0000

kate (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:59:33 +0000

kate (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:56:42 +0000

kate (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:57:37 +0000

kate (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:34:52 +0000

kate (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:10:23 +0000

kate (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:17:49 +0000

kate (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:54:32 +0000

kate (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:19:29 +0000

kate (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:06:42 +0000

kate (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:01:27 +0000

kate (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:41:58 +0000

kate (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 13:44:15 +0000

kate (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:18:20 +0000

kate (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 20:44:45 +0000

kate (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:47:51 +0000

kate (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:29:22 +0000

kate (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:03:23 +0000

kate (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:34:53 +0000

kate (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:10:16 +0000

kate (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:20:37 +0000

kate (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:39:35 +0000

kate (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:31:03 +0000

kate (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:41:58 +0000

kate (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:27:13 +0000

kate (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:53:26 +0000

kate (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:48:13 +0000

kate (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:00:46 +0000

kate (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:03:16 +0000

kate (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:58:32 +0000

kate (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:15:50 +0000

kate (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 05:54:05 +0000

kate (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:34 +0000

kate (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:42:28 +0000

kate (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:50:02 +0000

kate (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:22:07 +0000

kate (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:52:44 +0000

kate (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:20:22 +0000

kate (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:57:54 +0000

kate (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:12:33 +0000

kate (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:24:46 +0000



## kate 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kate VERSION ${RELEASE_SERVICE_VERSION})
@@ -77,7 +77,7 @@
 
 # deprecation options
 ecm_set_disabled_deprecation_versions(
-    QT 6.8
+    QT 6.9
     KF 6.12.0
 )
 
@@ -100,7 +100,7 @@
     kdoctools_install(po)
 endif()
 
-feature_summary(INCLUDE_QUIET_PACKAGES WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)

=== addons/git-blame/CMakeLists.txt ===
kate_add_plugin(kategitblameplugin)
target_compile_definitions(kategitblameplugin PRIVATE TRANSLATION_DOMAIN="kategitblameplugin")
target_link_libraries(kategitblameplugin PRIVATE kateprivate KF6::I18n KF6::TextEditor)

target_sources(
  kategitblameplugin
  PRIVATE
    kategitblameplugin.cpp
    gitblametooltip.cpp
    plugin.qrc
)

if (ENABLE_PCH)
    target_precompile_headers(kategitblameplugin REUSE_FROM katepch)
endif()

=== addons/kate-ctags/CMakeLists.txt ===
kate_add_plugin(katectagsplugin)
target_compile_definitions(katectagsplugin PRIVATE TRANSLATION_DOMAIN="kate-ctags-plugin")
target_link_libraries(katectagsplugin PRIVATE kateprivate KF6::I18n KF6::TextEditor)

ki18n_wrap_ui(katectagsplugin kate_ctags.ui CTagsGlobalConfig.ui)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
  DEBUG_SOURCES
  HEADER kate_ctags_debug.h
  IDENTIFIER KTECTAGS
  CATEGORY_NAME "katectagsplugin"
)
target_sources(katectagsplugin PRIVATE ${DEBUG_SOURCES})

target_sources(
  katectagsplugin
  PRIVATE
    readtags.c
    tags.cpp
    ctagskinds.cpp
    kate_ctags_view.cpp
    kate_ctags_plugin.cpp
    gotosymbolmodel.cpp
    gotoglobalsymbolmodel.cpp
    gotosymboltreeview.cpp
    gotosymbolwidget.cpp
    plugin.qrc
)

if (ENABLE_PCH)
    target_precompile_headers(katectagsplugin REUSE_FROM katepch)
endif()

=== addons/latexunicodecompletion/CMakeLists.txt ===
find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)

kate_add_plugin(latexcompletionplugin)
target_compile_definitions(latexcompletionplugin PRIVATE TRANSLATION_DOMAIN="latexcompletionplugin")

target_link_libraries(latexcompletionplugin PRIVATE KF6::I18n KF6::TextEditor)

target_sources(
  latexcompletionplugin
  PRIVATE
    latexcompletionplugin.cpp
    completionmodel.cpp
)

if (ENABLE_PCH)
    target_precompile_headers(latexcompletionplugin REUSE_FROM katepch)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== addons/preview/CMakeLists.txt ===
kate_add_plugin(ktexteditorpreviewplugin)
target_compile_definitions(ktexteditorpreviewplugin PRIVATE TRANSLATION_DOMAIN="ktexteditorpreviewplugin")
target_link_libraries(ktexteditorpreviewplugin PRIVATE KF6::I18n KF6::TextEditor)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
  DEBUG_SOURCES
  HEADER ktexteditorpreview_debug.h
  IDENTIFIER KTEPREVIEW
  CATEGORY_NAME "ktexteditorpreviewplugin"
)
target_sources(ktexteditorpreviewplugin PRIVATE ${DEBUG_SOURCES})

target_sources(
  ktexteditorpreviewplugin
  PRIVATE
    ktexteditorpreviewplugin.cpp
    ktexteditorpreviewview.cpp
    previewwidget.cpp
    kpartview.cpp
)

if (ENABLE_PCH)
    target_precompile_headers(ktexteditorpreviewplugin REUSE_FROM katepch)
endif()

=== addons/rbql/CMakeLists.txt ===
kate_add_plugin(rbqlplugin)
target_compile_definitions(rbqlplugin PRIVATE TRANSLATION_DOMAIN="rbqlplugin")
target_link_libraries(rbqlplugin PRIVATE KF6::TextEditor KF6::I18n Qt::Qml Qt::Concurrent)

target_sources(
  rbqlplugin
  PRIVATE
    RBQLPlugin.cpp
    RBQLWidget.cpp
    plugin.qrc
)

if (ENABLE_PCH)
    target_precompile_headers(rbqlplugin REUSE_FROM katepch)
endif()

=== addons/search/CMakeLists.txt ===
find_package(Qt6Concurrent ${QT_MIN_VERSION} QUIET)

if(NOT Qt6Concurrent_FOUND)
  return()
endif()

kate_add_plugin(katesearchplugin)
target_compile_definitions(katesearchplugin PRIVATE TRANSLATION_DOMAIN="katesearch")

target_link_libraries(
  katesearchplugin
  PRIVATE
    Qt::Concurrent
    KF6::I18n
    KF6::TextEditor
    kateprivate
)

ki18n_wrap_ui(katesearchplugin search.ui results.ui MatchExportDialog.ui)

target_sources(
  katesearchplugin
  PRIVATE
    FolderFilesList.cpp
    KateSearchCommand.cpp
    MatchExportDialog.cpp
    MatchModel.cpp
    MatchProxyModel.cpp
    SearchDiskFiles.cpp
    SearchResultsDelegate.cpp
    plugin.qrc
    SearchPlugin.cpp
    SearchOpenFiles.cpp
    Results.cpp
    ResultsTreeView.cpp
)

if (ENABLE_PCH)
    target_precompile_headers(katesearchplugin REUSE_FROM katepch)
endif()

=== apps/kwrite/CMakeLists.txt ===
# KWrite application
add_executable(kwrite main.cpp data/kwrite.qrc)
target_link_libraries(kwrite PRIVATE kateprivate)

# ensure right translations domain, we use one kate.po(t) for lib + apps
target_compile_definitions(kwrite PRIVATE TRANSLATION_DOMAIN="kate")

# application icon, in all sizes needed to have e.g. nice Windows icons, too
set(ICONS_FOLDER ${CMAKE_CURRENT_SOURCE_DIR}/icons)
set(ICON_FILES
    ${ICONS_FOLDER}/sc-apps-kwrite.svg
    ${ICONS_FOLDER}/16-apps-kwrite.png
    ${ICONS_FOLDER}/22-apps-kwrite.png
    ${ICONS_FOLDER}/32-apps-kwrite.png
    ${ICONS_FOLDER}/44-apps-kwrite.png
    ${ICONS_FOLDER}/48-apps-kwrite.png
    ${ICONS_FOLDER}/64-apps-kwrite.png
    ${ICONS_FOLDER}/128-apps-kwrite.png
    ${ICONS_FOLDER}/150-apps-kwrite.png
    ${ICONS_FOLDER}/256-apps-kwrite.png
    ${ICONS_FOLDER}/310-apps-kwrite.png
    ${ICONS_FOLDER}/512-apps-kwrite.png
)

# Add icon files to the application's source files to have CMake bundle them in the executable.
ecm_add_app_icon(ICONS_SOURCES ICONS ${ICON_FILES})
target_sources(kwrite PRIVATE ${ICONS_SOURCES})

# See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
if(APPLE)
  set_property(
    TARGET kwrite
    PROPERTY MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in
  )

  # These are substituted by CMake into plist.in.
  set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.KWrite")
  set(MACOSX_BUNDLE_BUNDLE_NAME "KWrite")
  set(MACOSX_BUNDLE_DISPLAY_NAME "KWrite")
  set(MACOSX_BUNDLE_INFO_STRING "KWrite - Text Editor")
  set(MACOSX_BUNDLE_LONG_VERSION_STRING "KWrite ${RELEASE_SERVICE_VERSION}")
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
  set(MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
  set(MACOSX_BUNDLE_COPYRIGHT "2000-2022 The KWrite Authors")
endif()

install(TARGETS kwrite ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_install_icons(
    ICONS ${ICON_FILES}
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kwrite.desktop
  DESTINATION ${KDE_INSTALL_APPDIR}
)

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kwrite.appdata.xml
  DESTINATION ${KDE_INSTALL_METAINFODIR}
)

=== apps/lib/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)

# add given tests to run in offscreen rendering
macro(kate_executable_tests)
    foreach(_testname ${ARGN})
        add_executable(${_testname} ${_testname}.cpp tests.qrc)
        target_link_libraries(${_testname}
            PRIVATE
                kateprivate Qt::Test)
        add_test(NAME kateapp-${_testname} COMMAND ${_testname} ${OFFSCREEN_QPA})
        ecm_mark_as_test(${_testname})

        if(ENABLE_PCH)
            target_precompile_headers(${_testname} REUSE_FROM katepch_tests)
        endif()
    endforeach()
endmacro()

kate_executable_tests(
    session_test
    session_manager_test
    sessions_action_test
    urlinfo_test
    json_utils_test
    kate_doc_manager_tests
    location_history_test
    kate_view_mgmt_tests # uses kwrite for tests
    kate_view_mgmt_test2 # uses kate for tests
    bytearraysplitter_tests
    diffwidget_tests
    basic_ui_tests
    doc_or_widget_test
)

=== addons/template/templates/Applications/Qt/QMLApplication/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(TMPL_APPLICATION_NAME_TMPL VERSION 0.1 LANGUAGES CXX)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")

find_package(Qt6 REQUIRED COMPONENTS Quick)

qt_standard_project_setup(REQUIRES 6.5)

qt_add_executable(${PROJECT_NAME}
    main.cpp
)

qt_add_qml_module(${PROJECT_NAME}
    URI Module${PROJECT_NAME}
    VERSION 1.0
    QML_FILES
        Main.qml
)

target_link_libraries(${PROJECT_NAME}
    PRIVATE Qt6::Quick
)

include(GNUInstallDirs)
install(TARGETS ${PROJECT_NAME}
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

=== debian/changelog ===
kate (4:25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Sep 2025 06:30:20 +0100

kate (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:51:34 +0100

kate (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:20:57 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

testsuite_failing_archs := armel armhf hurd-amd64 hurd-i386 i386
ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
  fail_param := || true
endif

%:
	dh $@

override_dh_auto_test:
	-xvfb-run -a dh_auto_test --buildsystem=kf6 $(fail_param)

## kate 25.08.1+p24.04+vstable+git20250926.0939

=== debian/changelog ===
kate (4:25.08.1+p24.04+vstable+git20250926.0939-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:39:56 +0000

kate (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:38:56 +0000

## kate 25.08.1+p24.04+vstable+git20251001.0451

=== debian/changelog ===
kate (4:25.08.1+p24.04+vstable+git20251001.0451-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 04:51:21 +0000

## kate 25.08.2

=== addons/compiler-explorer/CMakeLists.txt ===
kate_add_plugin(compilerexplorer)
target_compile_definitions(compilerexplorer PRIVATE TRANSLATION_DOMAIN="compilerexplorer")
target_link_libraries(compilerexplorer PRIVATE kateprivate KF6::I18n KF6::TextEditor)

target_sources(
  compilerexplorer
  PRIVATE
    ce_plugin.cpp
    ce_service.cpp
    ce_widget.cpp
    AsmView.cpp
    AsmViewModel.cpp
    compiledbreader.cpp
)

if (ENABLE_PCH)
    target_precompile_headers(compilerexplorer REUSE_FROM katepch)
endif()

=== addons/eslint/CMakeLists.txt ===
kate_add_plugin(eslintplugin)
target_compile_definitions(eslintplugin PRIVATE TRANSLATION_DOMAIN="eslintplugin")
target_link_libraries(eslintplugin PRIVATE KF6::TextEditor kateprivate)

target_sources(
  eslintplugin
  PRIVATE
    EslintPlugin.cpp
)

if (ENABLE_PCH)
    target_precompile_headers(eslintplugin REUSE_FROM katepch)
endif()

=== addons/tabswitcher/CMakeLists.txt ===
kate_add_plugin(tabswitcherplugin)
target_compile_definitions(tabswitcherplugin PRIVATE TRANSLATION_DOMAIN="tabswitcherplugin")
target_link_libraries(tabswitcherplugin PRIVATE KF6::I18n KF6::TextEditor kateprivate)

target_sources(
  tabswitcherplugin 
  PRIVATE
    tabswitcher.cpp
    tabswitcherfilesmodel.cpp
    tabswitchertreeview.cpp
    plugin.qrc
)

if (ENABLE_PCH)
    target_precompile_headers(tabswitcherplugin REUSE_FROM katepch)
endif()

if(BUILD_TESTING)
  add_subdirectory(autotests)
  add_subdirectory(tests)
endif()

=== addons/template/CMakeLists.txt ===
find_package(KF6 ${KF_MIN_VERSION} COMPONENTS
    Archive
    Config
)

kate_add_plugin(templateplugin)
target_compile_definitions(templateplugin PRIVATE TRANSLATION_DOMAIN="templateplugin")
if ((TARGET KF6::Archive) AND (TARGET KF6::ConfigGui))
    target_link_libraries(templateplugin PRIVATE KF6::I18n KF6::TextEditor KF6::Archive KF6::ConfigGui)
else ()
    target_link_libraries(templateplugin PRIVATE KF6::I18n KF6::TextEditor)
endif()

ki18n_wrap_ui(templateplugin template.ui)

set(PROJECT_SOURCES
    template.cpp
    template.h
    template.ui
    abstractdatamodel.cpp
    abstractdatamodel.h
    plugin.qrc
    templates.qrc
)
if ((TARGET KF6::Archive) AND (TARGET KF6::ConfigGui))
    message(STATUS "Archive & ConfigGui found")
    set(PROJECT_SOURCES ${PROJECT_SOURCES} AppWizardReader.cpp)
    add_definitions(-DBUILD_APPWIZARD)
endif()

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
    DEBUG_SOURCES
    HEADER templateplugin_debug.h
    IDENTIFIER KTEBUILD
    CATEGORY_NAME "templateplugin"
)

target_sources(templateplugin  PRIVATE templateplugin.h templateplugin.cpp ${PROJECT_SOURCES} ${DEBUG_SOURCES})

# qt_add_executable(${PROJECT_NAME} ${PROJECT_SOURCES} main.cpp)
# target_link_libraries(${PROJECT_NAME} PRIVATE Qt6::Widgets)

if (ENABLE_PCH)
    target_precompile_headers(templateplugin REUSE_FROM katepch)
endif()

=== addons/textfilter/CMakeLists.txt ===
kate_add_plugin(textfilterplugin)
target_compile_definitions(textfilterplugin PRIVATE TRANSLATION_DOMAIN="katetextfilter")
target_link_libraries(textfilterplugin PRIVATE KF6::I18n KF6::TextEditor)

ki18n_wrap_ui(textfilterplugin textfilterwidget.ui)

target_sources(
  textfilterplugin
  PRIVATE
    plugin_katetextfilter.cpp
    plugin.qrc
)

if (ENABLE_PCH)
    target_precompile_headers(textfilterplugin REUSE_FROM katepch)
endif()

=== addons/xmlcheck/CMakeLists.txt ===
kate_add_plugin(katexmlcheckplugin)
target_compile_definitions(katexmlcheckplugin PRIVATE TRANSLATION_DOMAIN="katexmlcheck")
target_link_libraries(katexmlcheckplugin PRIVATE kateprivate KF6::I18n KF6::TextEditor)

target_sources(
  katexmlcheckplugin
  PRIVATE
    plugin_katexmlcheck.cpp
    plugin.qrc
)

if (ENABLE_PCH)
    target_precompile_headers(katexmlcheckplugin REUSE_FROM katepch)
endif()

=== addons/xmltools/CMakeLists.txt ===
kate_add_plugin(katexmltoolsplugin)
target_compile_definitions(katexmltoolsplugin PRIVATE TRANSLATION_DOMAIN="katexmltools")
target_link_libraries(katexmltoolsplugin PRIVATE KF6::I18n KF6::TextEditor KF6::KIOWidgets)

target_sources(
  katexmltoolsplugin 
  PRIVATE
    pseudo_dtd.cpp
    plugin_katexmltools.cpp
    plugin.qrc
)

if (ENABLE_PCH)
    target_precompile_headers(katexmltoolsplugin REUSE_FROM katepch)
endif()

install(
  FILES 
    html4-loose.dtd.xml 
    html4-strict.dtd.xml 
    kde-docbook.dtd.xml 
    simplify_dtd.xsl
    xhtml1-frameset.dtd.xml 
    xhtml1-strict.dtd.xml 
    xhtml1-transitional.dtd.xml 
    xslt-1.0.dtd.xml
    testcases.xml 
    language.dtd.xml 
    kpartgui.dtd.xml 
    kcfg.dtd.xml
  DESTINATION ${KDE_INSTALL_DATADIR}/katexmltools
)

=== apps/lib/CMakeLists.txt ===
# Kate shared library, used by Kate/KWrite and the addons
add_library(kateprivate SHARED "")
set_target_properties(kateprivate PROPERTIES VERSION ${RELEASE_SERVICE_VERSION})
install(TARGETS kateprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

# ensure right translations domain, we use one kate.po(t) for lib + apps
target_compile_definitions(kateprivate PRIVATE TRANSLATION_DOMAIN="kate")

# export version to be used by Kate/KWrite/...
target_compile_definitions(kateprivate PUBLIC KATE_VERSION="${RELEASE_SERVICE_VERSION}")

include(GenerateExportHeader)
generate_export_header(
  kateprivate
  EXPORT_FILE_NAME kateprivate_export.h
  EXPORT_MACRO_NAME KATE_PRIVATE_EXPORT
)

target_include_directories(
  kateprivate
  PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/session
    ${CMAKE_CURRENT_SOURCE_DIR}/quickopen
    ${CMAKE_CURRENT_SOURCE_DIR}/diff
    ${CMAKE_CURRENT_BINARY_DIR} # kateprivate_export.h
)

target_include_directories(
  kateprivate
  SYSTEM PUBLIC
    ${CMAKE_SOURCE_DIR}/3rdparty
)

find_package(
  KF6 ${KF6_DEP_VERSION}
  QUIET
  REQUIRED
  COMPONENTS
    Crash
    IconThemes
    WindowSystem
    WidgetsAddons
)

target_link_libraries(
  kateprivate
  PUBLIC
    KF6::CoreAddons
    KF6::Crash
    KF6::I18n
    KF6::IconThemes
    KF6::TextEditor
    KF6::WindowSystem
    KF6::KIOGui
    KF6::KIOWidgets
    KF6::WidgetsAddons
)

if (NOT WIN32 AND NOT HAIKU)
    target_compile_definitions(kateprivate PRIVATE -DKDE_INSTALL_FULL_LOCALEDIR=\"${KDE_INSTALL_FULL_LOCALEDIR}\")
    target_include_directories(kateprivate PRIVATE ${Intl_INCLUDE_DIRS})
    target_link_libraries(kateprivate PRIVATE ${Intl_LIBRARIES})
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    set(WITH_DBUS TRUE PARENT_SCOPE)
    find_package(KF6DBusAddons ${KF6_DEP_VERSION} REQUIRED)
    target_compile_definitions(kateprivate PUBLIC -DWITH_DBUS)
    target_link_libraries(kateprivate PUBLIC KF6::DBusAddons)
    target_sources(
        kateprivate
        PRIVATE
        kateappadaptor.cpp
        katerunninginstanceinfo.cpp
    )
endif()

# optional KUserFeedback integration
find_package(KF6UserFeedback ${KF6_DEP_VERSION} CONFIG)

if (TARGET KF6::UserFeedbackWidgets)
    target_link_libraries(kateprivate PUBLIC KF6::UserFeedbackWidgets)
    target_compile_definitions(kateprivate PUBLIC -DWITH_KUSERFEEDBACK)
endif()

# terminal detection
include(CheckFunctionExists)
check_function_exists(ctermid HAVE_CTERMID)
if(HAVE_CTERMID)
  target_compile_definitions(kateprivate PRIVATE HAVE_CTERMID)
endif()

# detaching from terminal
check_function_exists(daemon HAVE_DAEMON)
if(HAVE_DAEMON)
  target_compile_definitions(kateprivate PRIVATE HAVE_DAEMON)
endif()

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
    LIB_KATE_TIME_SOURCES
    HEADER kate_timings_debug.h
    IDENTIFIER LibKateTime
    CATEGORY_NAME "libkate.time"
    DEFAULT_SEVERITY Warning
)

ki18n_wrap_ui(kateprivate ui/sessionconfigwidget.ui welcomeview/welcomeview.ui session/katesessionmanagedialog.ui)

target_sources(
  kateprivate
  PRIVATE
    session/katesession.cpp
    session/katesessionmanagedialog.cpp
    session/katesessionmanager.cpp
    session/katesessionsaction.cpp

    quickopen/katequickopen.cpp
    quickopen/katequickopenmodel.cpp
    quickopen/katequickopenlineedit.cpp

    kateapp.cpp
    kateconfigdialog.cpp
    kateconfigplugindialogpage.cpp
    katedocmanager.cpp
    katefileactions.cpp
    katemainwindow.cpp
    katemdi.cpp
    katemwmodonhddialog.cpp
    katepluginmanager.cpp
    mainwindow_commands.cpp

    katesavemodifieddialog.cpp
    katetabbar.cpp
    katesplitter.cpp
    kateviewmanager.cpp
    kateviewspace.cpp
    tabmimedata.cpp

    kateoutputview.cpp
    katestashmanager.cpp
    diagnostics/diagnosticview.cpp
    diagnostics/diagnosticview.qrc
    texthint/KateTextHintManager.cpp
    texthint/tooltip.cpp
    texthint/hintview.cpp
    texthint/hintstate.cpp

    kateurlbar.cpp

    gitprocess.cpp
    quickdialog.cpp
    ktexteditor_utils.cpp

    data/kateprivate.qrc
    hostprocess.cpp

    diff/diffwidget.cpp
    diff/diffeditor.cpp
    diff/difflinenumarea.cpp
    diff/gitdiff.cpp

    filehistorywidget.cpp
    commitfilesview.cpp

    welcomeview/welcomeview.cpp
    welcomeview/recentitemsmodel.cpp
    welcomeview/savedsessionsmodel.cpp
    ${LIB_KATE_TIME_SOURCES}
)

if (ENABLE_PCH)
    target_precompile_headers(kateprivate REUSE_FROM katepch)
endif()

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

=== doc/katepart/CMakeLists.txt ===
kdoctools_create_handbook(
  index.docbook 
  INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en 
  SUBDIR katepart
)

=== addons/backtracebrowser/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

add_executable(btbrowser_test "")
target_include_directories(btbrowser_test PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/..)

find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)
target_link_libraries(
  btbrowser_test 
  PRIVATE 
    Qt::Widgets
    Qt::Test
)

target_sources(btbrowser_test PRIVATE
  btbrowsertest.cpp 
  ${CMAKE_CURRENT_SOURCE_DIR}/../btparser.cpp
)

if(ENABLE_PCH)
    target_precompile_headers(btbrowser_test REUSE_FROM katepch_tests)
endif()

add_test(NAME plugin-btbrowser_test COMMAND btbrowser_test ${OFFSCREEN_QPA})
ecm_mark_as_test(btbrowser_test)

=== addons/filetree/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

add_executable(filetree_model_test "")
target_include_directories(filetree_model_test PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/..)

find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)
target_link_libraries(
  filetree_model_test
  PRIVATE
    kateprivate
    KF6::GuiAddons
    KF6::I18n
    KF6::TextEditor
    Qt::Test
)

target_sources(
  filetree_model_test
  PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/../katefiletreemodel.cpp
    filetree_model_test.cpp
    document_dummy.cpp
)

if(ENABLE_PCH)
    target_precompile_headers(filetree_model_test REUSE_FROM katepch_tests)
endif()

add_test(NAME kateapp-filetree_model_test COMMAND filetree_model_test ${OFFSCREEN_QPA})
ecm_mark_as_test(filetree_model_test)

=== addons/katebuild-plugin/test/subdir/Makefile ===

enter_exit_subdir.o: enter_exit_subdir.c enter_exit_subdir.h
	gcc -Wall -g -c -o enter_exit_subdir.o enter_exit_subdir.c

=== debian/changelog ===
kate (4:25.08.2-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 08:06:49 +0000

kate (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:27:23 +0000

## kate 25.08.2+p24.04+vstable+git20251015.1638

=== debian/changelog ===
kate (4:25.08.2+p24.04+vstable+git20251015.1638-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:38:19 +0000

## kate 25.08.2+p24.04+vstable+git20251019.0450

=== debian/changelog ===
kate (4:25.08.2+p24.04+vstable+git20251019.0450-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:50:28 +0000

## kate 25.08.2+p24.04+vstable+git20251021.0342

=== debian/changelog ===
kate (4:25.08.2+p24.04+vstable+git20251021.0342-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:43:01 +0000

## kate 25.08.2+p24.04+vstable+git20251023.0025

=== debian/changelog ===
kate (4:25.08.2+p24.04+vstable+git20251023.0025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:25:56 +0000

## kate 25.08.2+p24.04+vstable+git20251028.1030

=== debian/changelog ===
kate (4:25.08.2+p24.04+vstable+git20251028.1030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:30:16 +0000

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kjobwidgets-dev,
               kf6-knewstuff-dev,
               kf6-kparts-dev,
               kf6-kpty-dev,
               kf6-ktexteditor-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-syntax-highlighting-dev,
               kf6-threadweaver-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://kate-editor.org/
Vcs-Git: https://invent.kde.org/neon/kde/kate.git
Vcs-Browser: https://invent.kde.org/neon/kde/kate
Maintainer: Neon CI <neon@kde.org>

Package: kate
Section: editors
Architecture: any
Depends: kate6-data (>= ${source:Version}),
         kf6-kdeclarative,
         kf6-ktexteditor,
         libplasma6,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kf6-sonnet
Suggests: darcs,
          exuberant-ctags,
          git,
          khelpcenter,
          konsole-kpart,
          mercurial,
          subversion
Description: powerful text editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation

Package: kate6-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kate5-data
Breaks: kate5-data
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor

Package: kwrite
Section: editors
Architecture: any
Depends: kf6-ktexteditor, ${misc:Depends}, ${shlibs:Depends}
Breaks: kate5-data
Replaces: kate5-data
Description: simple text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, dbus, kinit, xauth, xvfb, @, @builddeps@
Restrictions: build-needed, allow-stderr

## kate 25.08.2+p24.04+vstable+git20251031.0256

=== debian/changelog ===
kate (4:25.08.2+p24.04+vstable+git20251031.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 02:56:14 +0000
